﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GpsIntermediateDriver {
    public partial class Form1 : Form {

        Medo.IO.Gps gps = new Medo.IO.Gps();


        public Form1() {
            InitializeComponent();
            gps.Open();
        }

        private void menuItem1_Click(object sender, EventArgs e) {
            this.Close();
        }

        private void tmrUpdate_Tick(object sender, EventArgs e) {
            var position = gps.GetPosition();
            if (position.Latitude.HasValue && position.Longitude.HasValue) {
                textLatLon.Text = string.Format("{0:0.00000}, {1:0.00000}", position.Latitude.Value, position.Longitude.Value);
            } else {
                textLatLon.Text = "";
            }
        }

        private void Form1_Closed(object sender, EventArgs e) {
            gps.Close();
        }
    }
}